Admin Queue Stats
curl --request POST \
--url https://api.voxo.co/v2/admin/reporting/queues/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queueId": [
123
],
"startDate": "<string>",
"endDate": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/reporting/queues/stats"
payload = {
"queueId": [123],
"startDate": "<string>",
"endDate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({queueId: [123], startDate: '<string>', endDate: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/reporting/queues/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queueIds": [
123
],
"results": [
{
"inboundAnswered": 123,
"talkTime": 123,
"ringTime": 123,
"waitTime": 123,
"outbound": 123,
"outboundTalkTime": 123,
"exitTimeout": 123,
"exitKeypress": 123,
"abandons": 123,
"abandonsUnder10": 123,
"totalCallbacks": 123,
"successfulCallbacks": 123,
"failedCallbacks": 123,
"id": 123,
"queueId": 123,
"queueName": "<string>",
"totalInbound": 123,
"answeredUnder30": 123,
"ringNoAnswer": 123,
"noAnswerRingTime": 123,
"minWaitTime": 123,
"maxWaitTime": 123,
"totalOutbound": 123,
"abandonWaitTime": 123,
"abandonMin": 123,
"abandonMax": 123,
"abandonsUnder30": 123,
"ASA": 123,
"SLA": 123,
"distribution": "<string>",
"date": "<string>",
"peerName": "<string>",
"name": "<string>"
}
]
}Reporting - Queues
Admin Queue Stats
Get queue statistics with optional filters by user, time distribution, and call outcome
POST
/
v2
/
admin
/
reporting
/
queues
/
stats
Admin Queue Stats
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Queue IDs to include in the report
Start date for the report period
End date for the report period
distribution
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>
Time distribution grouping (daily, weekly, hourly, monthly, or totals)
Available options:
weekly Filter by user peer names, or 'ALL' for all users
Filter by call tags
Minimum array length:
1Filter by call outcome IDs
Minimum array length:
1Report type (Scheduled, Export, or Live)
Available options:
Scheduled Was this page helpful?
⌘I